#
# spec file for package pcre (Version 4.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libtool
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         pcre
Version:      4.4
Release:      112
Summary:      A library for Perl-compatible regular expressions
License:      Other License(s), see package
Group:        System/Libraries
Autoreqprov:  on
URL:          ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/
Source:       pcre-%{version}.tar.bz2
Patch:        pcre-%{version}.dif
Patch1:       pcre-overflow-bug-106209.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package      devel
Summary:      A library for Perl-compatible regular expressions
Autoreqprov:  on
Group:        System/Libraries
Prefix:       %{_prefix}
Requires:     pcre

%description
The PCRE library is a set of functions that implement regular
expression pattern matching using the same syntax and semantics as Perl
5, with very few differences. The current implementation corresponds to
Perl 5.005.



Authors:
--------
    Philip Hazel <ph10@cam.ac.uk>


%description devel
The PCRE library is a set of functions that implement regular
expression pattern matching using the same syntax and semantics as Perl
5, with very few differences. The current implementation corresponds to
Perl 5.005.



Authors:
--------
    Philip Hazel <ph10@cam.ac.uk>

%prep
%setup -n pcre-%{version}
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
autoreconf
export CFLAGS="-O2 -Wall"
./configure --mandir=%{_mandir} \
	    --prefix=%{_prefix} \
	    --libdir=%{_libdir} \
	    --with-link-size=2 \
	    --with-match-limit=10000000 \
	    --enable-newline-is-lf
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%files
%{_libdir}/*.so.*
/usr/bin/*
%doc AUTHORS COPYING ChangeLog INSTALL LICENCE NEWS NON-UNIX-USE README
%doc doc/html doc/*.txt
%doc %{_mandir}/man1/*.gz

%files devel
/usr/include/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%doc %{_mandir}/man3/*.gz

%changelog -n pcre
* Tue Aug 23 2005 - hvogel@suse.de
- Fix heap overflow [Bug #106209]
* Thu Aug 21 2003 - choeger@suse.de
- update to v4.4
* Fri Aug 01 2003 - choeger@suse.de
- disabled Test2, because it is not 64bit arch clean
  (contacted author, he knows about that problem)
* Wed Jul 30 2003 - choeger@suse.de
- update to most recent version v4.3
- splitted into -devel subpackage
* Fri Dec 06 2002 - coolo@suse.de
- removed undefined symbols in libpcreposix
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Apr 05 2002 - coolo@suse.de
- fixing autoheader usage
- forward ported %%libdir changes from sles7-s390x
* Tue Jan 22 2002 - choeger@suse.de
- update to version 3.9
- added BuildRoot
* Tue Aug 21 2001 - mge@suse.de
- pcre 3.5
* Wed Apr 11 2001 - froh@suse.de
- suse_update_config
* Mon Dec 04 2000 - mge@suse.de
- pcre 3.4
* Tue Jun 27 2000 - mge@suse.de
- pcre 3.2
* Thu Mar 02 2000 - mge@suse.de
- fixed manpath
* Sun Feb 13 2000 - mge@suse.de
- update to 3.1
- group tag
* Mon Oct 25 1999 - mge@suse.de
- initial SuSE-RPM: changed Makefile to install into /usr
